Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "70352bc9-9705-452f-96a2-beadad1f3060",
"user_id": "8dc6118b-bb10-49f0-80c3-7d104e3dd8cf",
"user_planning_slot_type_id": "68715dbf-4e3c-4c54-9a57-9ea03771af9a",
"date_from": "2026-10-21T05:56:27.9347185+00:00",
"date_to": "2026-10-21T05:56:27.9347185+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-10-21T05:56:27.9347185+00:00"
}